summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Kennedy <mkennedy@gentoo.org>2003-10-06 06:38:33 +0000
committerMatthew Kennedy <mkennedy@gentoo.org>2003-10-06 06:38:33 +0000
commit2a1c1e8efd744b981ef9d290e267b765552d4c73 (patch)
tree160ab137217e713be57654a65eb94a33788bc8cd /eclass/elisp.eclass
parentrepoman: Fix leading whitespace (diff)
downloadgentoo-2-2a1c1e8efd744b981ef9d290e267b765552d4c73.tar.gz
gentoo-2-2a1c1e8efd744b981ef9d290e267b765552d4c73.tar.bz2
gentoo-2-2a1c1e8efd744b981ef9d290e267b765552d4c73.zip
added improvements and cleanups from Jeremy Maitin-Shepard
<jbms@attbi.com> bug 29698
Diffstat (limited to 'eclass/elisp.eclass')
-rw-r--r--eclass/elisp.eclass33
1 files changed, 20 insertions, 13 deletions
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index c760e37e296d..d9bee24cd2a2 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -1,18 +1,16 @@
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.8 2003/09/21 01:40:41 mkennedy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.9 2003/10/06 06:38:33 mkennedy Exp $
#
-# Author Matthew Kennedy <mkennedy@gentoo.org>
+# Copyright 2002-2003 Matthew Kennedy <mkennedy@gentoo.org>
+# Copyright 2003 Jeremy Maitin-Shepard <jbms@attbi.com>
#
# This eclass sets the site-lisp directory for emacs-related packages.
inherit elisp-common
-
ECLASS=elisp
INHERITED="$INHERITED $ECLASS"
-source /usr/portage/eclass/elisp-common.eclass
-
# SRC_URI should be set to wherever the primary app-emacs/ maintainer
# keeps the local elisp mirror, since most app-emacs packages are
# upstream as a single .el file.
@@ -20,35 +18,44 @@ source /usr/portage/eclass/elisp-common.eclass
# Note: This is no longer necessary.
SRC_URI="http://cvs.gentoo.org/~mkennedy/app-emacs/${P}.el.bz2"
-S="${WORKDIR}/"
+if [ "${SIMPLE_ELISP}" = 't' ]; then
+ S="${WORKDIR}/"
+#else
+# Use default value
+# S="${WORKDIR}/${P}"
+fi
+
newdepend "virtual/emacs"
IUSE=""
-src_unpack() {
+elisp_src_unpack() {
unpack ${A}
if [ "${SIMPLE_ELISP}" = 't' ]
- then
+ then
cd ${S} && mv ${P}.el ${PN}.el
fi
}
-src_compile() {
- emacs --batch -f batch-byte-compile --no-site-file --no-init-file *.el || die
+elisp_src_compile() {
+ elisp-compile *.el || die
}
-src_install() {
+elisp_src_install() {
elisp-install ${PN} *.el *.elc
elisp-site-file-install ${FILESDIR}/${SITEFILE}
}
-pkg_postinst() {
+elisp_pkg_postinst() {
elisp-site-regen
}
-pkg_postrm() {
+elisp_pkg_postrm() {
elisp-site-regen
}
+EXPORT_FUNCTIONS src_unpack src_compile src_install \
+ pkg_postinst pkg_postrm
+
# Local Variables: ***
# mode: shell-script ***
# tab-width: 4 ***